function [X,Y] = create_training_set(n,fx,err_y,type)
% creates a training set with linear input-output relation.
%
% [X,Y] = CREATE_TRAINING_SET(N,FX,ERR_Y) creates a training 
% set [X,Y] for classification. The input data is NxD matrix ~N(0,1), where
% D is length(FX). Y is the labels vector Nx1, Y = sign(X*FX) with
% probability 1-ERR_Y.
% 
% [X,Y] = CREATE_TRAINING_SET(N,FX,ERR_Y,TYPE) if TYPE='CLASS'
% (default) create a training set for classification; if TYPE='REGR'
% creates a training set for regression Y = X*F0 + delta, delta~N(0,ERR_Y).

if nargin<3, error('too few input arguments'); end
if nargin<4, type ='class'; end
if nargin>4, error('too many input arguments'); end

xdim=length(fx);
X = rand(n,xdim)*2-1;
Y = X*fx; 
Y = Y + err_y.*randn(n,1);
if isequal(type,'class'),  Y = sign(Y); end