function tau_max = glopridu_tau_max(X,Y,blocks)
%Estimates maximum value for l1 parameter
% 
% [TAU_MAX] = GLOPRIDU_TAU_MAX(X,Y) estimates maximum value for l1 parameter 
%   for training set (X,Y). The input data X is a NxD matrix, and the
%   labels Y are a Nx1 vector

dmin = Inf;
normXY = 0;
for b = 1:length(blocks);
    dmin=min(dmin,length(blocks{b}));
    normXY = normXY + norm(X(:,blocks{b})'*Y)^2;
end
tau_max = sqrt(normXY)/(sqrt(dmin)*length(Y));
% tau_max = norm(X'*Y)/(length(Y));
